"use strict";
exports.id = 7768;
exports.ids = [7768];
exports.modules = {

/***/ 7768:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Lv": () => (/* binding */ getProductsByBrandsCats),
/* harmony export */   "_i": () => (/* binding */ addProductReview),
/* harmony export */   "dH": () => (/* binding */ fillProductStore),
/* harmony export */   "hi": () => (/* binding */ api),
/* harmony export */   "mk": () => (/* binding */ getProductReviews)
/* harmony export */ });
/* unused harmony exports getAllProducts, getProductDetails, getSimilarProducts, getProductsBySubCat, getProductsByBrand, getProductsByCategories */
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2167);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9329);
/* harmony import */ var _woocommerce_woocommerce_rest_api__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1824);
/* harmony import */ var _woocommerce_woocommerce_rest_api__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_woocommerce_woocommerce_rest_api__WEBPACK_IMPORTED_MODULE_2__);



const consumerKey = "ck_194a0a0416076b366085dde7e0737689405e5afb";
const consumerSecret = "cs_8452736e7614d72200d7290fc9551df28880bdbf";
const api = new (_woocommerce_woocommerce_rest_api__WEBPACK_IMPORTED_MODULE_2___default())({
    url: _types__WEBPACK_IMPORTED_MODULE_1__/* .WOOCOMMERCE_BASE_URL */ .wo,
    consumerKey,
    consumerSecret,
    version: "wc/v3",
    axiosConfig: {
        headers: {}
    }
});
const getAllProducts = (page, perPage)=>(dispatch)=>{
        dispatch({
            type: PRODUCTS_LIST,
            allProductsList: null,
            isLoading: true,
            totalProductsPages: 0
        });
        // List products
        api.get(`products?page=${page}&status=publish&per_page=${perPage}`).then((response)=>{
            // Successful request
            dispatch({
                type: PRODUCTS_LIST,
                allProductsList: response.data,
                isLoading: false,
                totalProductsPages: response.headers["x-wp-total"]
            });
        }).catch(()=>{
        // Invalid request, for 4xx and 5xx statuses
        }).finally(()=>{
        // Always executed.
        });
    };
const getProductDetails = (id)=>(dispatch)=>{
        dispatch({
            type: PRODUCT_DETAILS,
            productDetails: null,
            isLoadingProduct: true
        });
        // product details
        // api.get(`products/${id}`)
        api.get(`products/?slug=${id}`).then((response)=>{
            // Successful request
            api.get(`products/reviews?product=${response.data[0].id}`).then((res)=>{
                response.data[0].reviews = res.data;
                dispatch({
                    type: PRODUCT_DETAILS,
                    productDetails: response.data ? response.data[0] : response.data,
                    isLoadingProduct: false
                });
            });
        }).catch(()=>{
        // Invalid request, for 4xx and 5xx statuses
        }).finally(()=>{
        // Always executed.
        });
    };
const getSimilarProducts = (id)=>(dispatch)=>{
        dispatch({
            type: PRODUCTS_SIMILAR,
            similarProducts: null,
            isLoadingSimilarProds: true
        });
        api.get(`products/${id}?page=${1}&per_page=${4}`).then((response)=>{
            dispatch({
                type: PRODUCTS_SIMILAR,
                similarProducts: response.data,
                isLoadingSimilarProds: false
            });
        }).catch((error)=>{
            console.log(error);
        }).finally(()=>{
        // Always executed.
        });
    };
// GET PRODUCTS BY SUB CATEGORY
const getProductsBySubCat = (page, perPage, id)=>(dispatch)=>{
        dispatch({
            type: PRODUCTS_LIST,
            allProductsList: null,
            isLoading: true,
            totalProductsPages: 0
        });
        // List products
        api.get(`products?category=${id}?page=${page}&status=publish&per_page=${perPage}`).then((response)=>{
            // Successful request
            dispatch({
                type: PRODUCTS_LIST,
                allProductsList: response.data,
                isLoading: false,
                totalProductsPages: response.headers["x-wp-total"]
            });
        }).catch(()=>{
        // Invalid request, for 4xx and 5xx statuses
        // ;
        // ;
        // ;
        }).finally(()=>{
        // Always executed.
        });
    };
const getProductsByBrandsCats = (cats, brands, page, perPage)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .PRODUCTS_LIST */ .et,
            allProductsList: null,
            isLoading: true,
            totalProductsPages: 0
        });
        axios__WEBPACK_IMPORTED_MODULE_0___default().get(_types__WEBPACK_IMPORTED_MODULE_1__/* .productsByBrandsCats */ .dK + `?marque_slug=${brands}&product_cat=${cats}&page=${page}&per_page=${perPage}`).then((response)=>{
            return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .PRODUCTS_LIST */ .et,
                allProductsList: response.data,
                isLoading: false,
                totalProductsPages: response.headers["x-wp-total"]
            });
        });
    };
// GET PRODUCTS BY BRANDS
const getProductsByBrand = (ids, page, perPage)=>(dispatch)=>{
        dispatch({
            type: PRODUCTS_LIST,
            allProductsList: null,
            isLoading: true,
            totalProductsPages: 0
        });
        axios.get(productsByMultipleBrand + ids + `&page=${page}&per_page=${perPage}`).then((response)=>{
            return dispatch({
                type: PRODUCTS_LIST,
                allProductsList: response.data,
                isLoading: false,
                totalProductsPages: response.headers["x-wp-total"]
            });
        });
    };
// GET PRODUCTS BY CATS
const getProductsByCategories = (ids, page, perPage)=>(dispatch)=>{
        dispatch({
            type: PRODUCTS_LIST,
            allProductsList: null,
            isLoading: true,
            totalProductsPages: 0
        });
        axios.get(productsByMultipleCats + ids + `&page=${page}&per_page=${perPage}`).then((response)=>{
            return dispatch({
                type: PRODUCTS_LIST,
                allProductsList: response.data,
                isLoading: false,
                totalProductsPages: response.headers["x-wp-total"]
            });
        });
    };
const getProductReviews = (id)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .REVIEWS */ .th,
            productReviews: null
        });
        api.get(`products/reviews?product=${id}`).then((response)=>{
            // Successful request
            dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .REVIEWS */ .th,
                productReviews: response.data
            });
        }).catch((error)=>{
            // Invalid request, for 4xx and 5xx statuses
            console.log(error);
        }).finally(()=>{
        // Always executed.
        });
    };
const addProductReview = (data)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .ADD_REVIEW */ .U7,
            addReviewLoading: true,
            addReviewStatus: ""
        });
        const requestOptions = {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            },
            body: JSON.stringify(data)
        };
        fetch(`${_types__WEBPACK_IMPORTED_MODULE_1__/* .WOOCOMMERCE_BASE_URL */ .wo}wp-json/wc/v3/products/reviews?consumer_key=${consumerKey}&consumer_secret=${consumerSecret}`, requestOptions)// .then((response) => {
        .then(()=>{
            dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .ADD_REVIEW */ .U7,
                addReviewLoading: false,
                addReviewStatus: "SUCCESS"
            });
        }).catch((error)=>{
            dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .ADD_REVIEW */ .U7,
                addReviewLoading: false,
                addReviewStatus: "ERROR"
            });
            console.log(error);
        }).finally(()=>setTimeout(()=>dispatch({
                    type: _types__WEBPACK_IMPORTED_MODULE_1__/* .ADD_REVIEW */ .U7,
                    addReviewLoading: false,
                    addReviewStatus: ""
                }), 2000));
    };
const fillProductStore = (ProductStore)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .FILL_PRODUCT_STORE */ .Hr,
            ...ProductStore
        });
    };


/***/ })

};
;