"use strict";
exports.id = 9106;
exports.ids = [9106];
exports.modules = {

/***/ 2126:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2296);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_1__);


const SelectInput = (props)=>{
    const { options , placeholder , name , ...others } = props;
    const [field, meta] = (0,formik__WEBPACK_IMPORTED_MODULE_1__.useField)(name);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
        className: "input-container",
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("select", {
                ...field,
                ...others,
                className: "input",
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                        selected: true,
                        disabled: true,
                        value: "",
                        children: placeholder
                    }),
                    options?.map((e)=>/*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("option", {
                            value: e.toLowerCase(),
                            children: e
                        }, e))
                ]
            }),
            meta.touched && meta.error ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                className: "error-message",
                children: [
                    " ",
                    meta.error
                ]
            }) : null
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SelectInput);


/***/ }),

/***/ 7164:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2296);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);



const Textarea = (props)=>{
    const { Icon , name , label ="Votre message" , ...others } = props;
    const [field, meta] = (0,formik__WEBPACK_IMPORTED_MODULE_1__.useField)(name);
    const [focus, setFocus] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(false);
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
        className: "input-container message",
        children: [
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("label", {
                children: label
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("textarea", {
                ...field,
                ...others,
                rows: 5,
                className: "message-input",
                onBlur: (e)=>{
                    field.onBlur(e);
                    field.value === "" && setFocus(false);
                },
                onFocus: ()=>setFocus(true)
            }),
            Icon && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(Icon, {
                act: focus
            }),
            meta.touched && meta.error ? /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                className: "error-message",
                children: [
                    meta.error == "est obligatoire" && name,
                    " ",
                    meta.error
                ]
            }) : null
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Textarea);


/***/ }),

/***/ 2699:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Oj": () => (/* binding */ phoneRegExp),
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "xy": () => (/* binding */ selectOptions),
/* harmony export */   "yJ": () => (/* binding */ nameRegex),
/* harmony export */   "zW": () => (/* binding */ errorMsgs)
/* harmony export */ });
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5609);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_0__);

const selectOptions = {
    region: [
        "Alger",
        "Setif",
        "Oran",
        "Blida",
        "Tipaza",
        "Bouira"
    ],
    experience: [
        "Moins de 2 ans",
        "2 ans",
        "5 ans",
        "plus de 5 ans"
    ],
    niveau: [
        "Bac +2",
        "Bac +3",
        "License",
        "Master"
    ]
};
const phoneRegExp = /^(00213|\+213|0)(5|6|7)[0-9]{8}$/;
const nameRegex = /^(([^\d\W])|[\s])+$/;
const errorMsgs = {
    invalid: "ce champ ne doit pas contenir de caract\xe8res sp\xe9ciaux/chiffres",
    required: "champ obligatoire",
    tooShort: "champ trop court, Veuillez le compl\xe9ter pour envoyer",
    tooLong: "Trop long!",
    invalidPhoneNumber: "num\xe9ro de t\xe9l\xe9phone invalide",
    invalidEmail: "Email invalide (exemple@email.com)",
    msgTooShort: "message est trop court"
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (yup__WEBPACK_IMPORTED_MODULE_0__.object().shape({
    "nom-famille": yup__WEBPACK_IMPORTED_MODULE_0__.string().min(3, errorMsgs.tooShort).max(50, errorMsgs.tooLong).matches(nameRegex, errorMsgs.invalid).required(errorMsgs.required),
    prenom: yup__WEBPACK_IMPORTED_MODULE_0__.string().min(3, errorMsgs.tooShort).max(50, errorMsgs.tooLong).matches(nameRegex, errorMsgs.invalid).required(errorMsgs.required),
    phone: yup__WEBPACK_IMPORTED_MODULE_0__.string().required(errorMsgs.required).matches(phoneRegExp, errorMsgs.invalidPhoneNumber),
    email: yup__WEBPACK_IMPORTED_MODULE_0__.string().email(errorMsgs.invalidEmail).required(errorMsgs.required),
    region: yup__WEBPACK_IMPORTED_MODULE_0__.string().required(errorMsgs.required).oneOf(selectOptions.region.map((e)=>e.toLowerCase())),
    experience: yup__WEBPACK_IMPORTED_MODULE_0__.string().required(errorMsgs.required),
    niveau: yup__WEBPACK_IMPORTED_MODULE_0__.string().required(errorMsgs.required),
    genre: yup__WEBPACK_IMPORTED_MODULE_0__.string().required(errorMsgs.required),
    message: yup__WEBPACK_IMPORTED_MODULE_0__.string().min(8, errorMsgs.msgTooShort),
    cv: yup__WEBPACK_IMPORTED_MODULE_0__.mixed().required(errorMsgs.required)
}));


/***/ })

};
;