"use strict";
(() => {
var exports = {};
exports.id = 2080;
exports.ids = [2080];
exports.modules = {

/***/ 2353:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ handler),
  "postTypeMap": () => (/* binding */ postTypeMap)
});

;// CONCATENATED MODULE: external "axios"
const external_axios_namespaceObject = require("axios");
var external_axios_default = /*#__PURE__*/__webpack_require__.n(external_axios_namespaceObject);
;// CONCATENATED MODULE: ./redux/types.js
const WOOCOMMERCE_BASE_URL = "https://dashboard.magpharm.com/";
const BASE_URL = WOOCOMMERCE_BASE_URL + "wp-json/wp/v2/";
const YOUTUBE_VIDEOS_BASE_URL = "https://www.googleapis.com/youtube/v3/";
// REDUX ACTION TYPES
const TEST = "TEST";
const LOADING_HOME_DATA = "LOADING_HOME_DATA";
const MENU = "MENU";
const FILL_HOME_STORE = "FILL_HOME_STORE";
const FILL_PRODUCT_STORE = "FILL_PRODUCT_STORE";
const STORIES = "STORIES";
const POSTS = "POSTS";
const FEATURED_POST = "FEATURED_POST";
const LOADING_POSTS = "LOADING_POSTS";
const BRANDS_BY_CATEGORY = "BRANDS_BY_CATEGORY";
const PAGE_LOADED = "PAGE_LOADED";
const PRODUCTS_LIST = "PRODUCTS_LIST";
const PRODUCT_DETAILS = "PRODUCT_DETAILS";
const PRODUCTS_SIMILAR = "PRODUCTS_SIMILAR";
const PRODUCTS_BY_BRAND = "PRODUCTS_BY_BRAND";
const JOBS_OFFERS_LIST = "JOBS_OFFERS_LIST";
const JOBS_OFFERS_DOMAINES = "JOBS_OFFERS_DOMAINES";
const JOB_OFFER_DETAILS = "JOB_OFFER_DETAILS";
const SEARCH = "SEARCH";
const SALE_POINTS = "SALE_POINTS";
const REVIEWS = "REVIEWS";
const ADD_REVIEW = "ADD_REVIEW";
const MAGPHARM_GROUP = "MAGPHARM_GROUP";
const BRANCHES = "BRANCHES";
const VIDEOS_LIST = "VIDEOS_LIST";
const CULTURE_RH = "CULTURE_RH";
const DEVELOPMENT = "DEVELOPMENT";
// APIs
const globalData = (/* unused pure expression or super */ null && (BASE_URL));
const menuData = WOOCOMMERCE_BASE_URL + "wp-json/menu/main-menu";
const search = BASE_URL + "search?search=";
const allPages = BASE_URL + "pages";
const homeData = BASE_URL + "pages/11";
const groupePageData = BASE_URL + "pages/26";
const developmentPageData = BASE_URL + "pages/34";
const cultureRHPageData = BASE_URL + "pages/2033";
const contactPageData = BASE_URL + "pages/1461";
const postsData = BASE_URL + "posts?";
const storiesData = BASE_URL + "stories";
const offersTypes = BASE_URL + "offres_types";
const offersDomains = BASE_URL + "offres_domaines?per_page=100&order=desc";
const brandsData = BASE_URL + "marques?per_page=100";
const productsPageData = BASE_URL + "pages/6";
const productsListData = WOOCOMMERCE_BASE_URL + "products";
const productsByBrandData = BASE_URL + "products-by-marque?marque_slug=";
const salePointsData = BASE_URL + "points_de_vente?per_page=99";
const postsCategoriesData = BASE_URL + "categories";
const brandsByCategoryData = BASE_URL + "marques-by-categorie?cat_id=";
const searchData = BASE_URL + "magpharm-search?";
const jobOffersData = BASE_URL + "offres";
const jobOffersDomainesData = BASE_URL + "offres_domaines?per_page=100&order=desc";
const productsByMultipleBrand = BASE_URL + "products-by-marque?marque_slug=";
const productsByBrandsCats = BASE_URL + "products-by-cat-marque";
const productsByMultipleCats = BASE_URL + "product?product_cat=";
const branchesData = BASE_URL + "filiale";
const historiqueData = BASE_URL + "pages/1304";
const historiqueTimelineData = BASE_URL + "timeline?per_page=99&_embed";
const legalMentionsData = BASE_URL + "pages/9740";
const privacyPolicyData = BASE_URL + "pages/10075";
const MegaMenus = BASE_URL + "mega_menu/2478";
const videosData = YOUTUBE_VIDEOS_BASE_URL + "playlistItems?playlistId=PLWyanvRhzNaMhznKLFRcJ1enhfE3yA9Eq&part=snippet&key=AIzaSyAgEdz8qrPFk8L9qylE7isuE6Pbh6szZYo";


;// CONCATENATED MODULE: ./pages/api/revalidation.js


const postTypeMap = {
    product: "produits",
    offres: "carriere",
    post: "le-mag",
    marques: "marques"
};
function getParent(cat, cats) {
    if (cat.parent === 0) return cat.slug;
    return getParent(cats.find((e)=>e.id === cat.parent), cats) + "/" + cat.slug;
}
const getCategoriesPaths = async (slug)=>{
    const res = (await external_axios_default().get(`${BASE_URL}product_cat?per_page=100&_fields[]=id&_fields[]=slug&_fields[]=parent`)).data;
    const fullPath = getParent(res.find((e)=>e.slug === slug), res);
    const p = fullPath.split("/");
    if (p.length === 2) return [
        p[0],
        fullPath
    ];
    return [
        fullPath
    ];
};
async function handler({ body  }, res) {
    console.log("-------- revalidation pages start -----------");
    console.log({
        body
    });
    const { slug , post_type , marque , categories  } = body;
    try {
        if (post_type === "page") {
            console.log("start revalidating /", slug);
            await res.revalidate(`/${slug}`);
            console.log("complete revalidating /", slug);
            console.log(`/${slug}`);
            return res.json({
                state: "successfully"
            });
        }
        if (Object.keys(postTypeMap).includes(post_type)) {
            await res.revalidate(`/${postTypeMap[post_type]}/${slug}`);
            console.log(`/${postTypeMap[post_type]}/${slug}`);
            if (post_type === "product") {
                const cats = JSON.parse(categories);
                await res.revalidate("/produits");
                const paths = cats.map((e, i, arr)=>`/${arr.slice(0, i + 1).join("/")}`);
                for await (const path of paths){
                    await res.revalidate(path);
                    console.log(path);
                }
                for await (const p of JSON.parse(marque)){
                    await res.revalidate(`/marques/${p}`);
                }
            }
            if (post_type === "post") {
                await res.revalidate("/");
                await res.revalidate("/le-mag");
            }
            if (post_type === "offres") {
                await res.revalidate("/carriere");
            }
            return res.json({
                state: "successfully"
            });
        }
        if (post_type === "product_cat") {
            for await (const path of getCategoriesPaths(slug)){
                await res.revalidate(path);
                console.log(path);
            }
            return await res.json({
                state: "successfully"
            });
        }
    } catch (error) {
        console.log("-".repeat(40), "\n", error, "\n", "-".repeat(40));
        return res.json({
            state: "failed",
            error: error.message
        });
    }
    return res.json({
        state: "null",
        body
    });
}


/***/ })

};
;

// load runtime
var __webpack_require__ = require("../../webpack-api-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = (__webpack_exec__(2353));
module.exports = __webpack_exports__;

})();