"use strict";
(() => {
var exports = {};
exports.id = 2164;
exports.ids = [2164];
exports.modules = {

/***/ 3699:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "default": () => (/* binding */ sitemap_xml),
  "getServerSideProps": () => (/* binding */ getServerSideProps)
});

// EXTERNAL MODULE: external "axios"
var external_axios_ = __webpack_require__(2167);
var external_axios_default = /*#__PURE__*/__webpack_require__.n(external_axios_);
;// CONCATENATED MODULE: ./utils/getCategoriesPaths.js

const getCategoriesPaths = async (url)=>{
    const paths = [];
    const data = (await external_axios_default().get(url)).data;
    data.filter((e)=>e.parent === 0).forEach((e)=>{
        paths.push(e.slug);
        data.filter((b)=>b.parent === e.id).forEach((c)=>{
            paths.push([
                e.slug,
                c.slug
            ]);
            data.filter((d)=>d.parent === e.id).forEach((t)=>{
                paths.push([
                    e.slug,
                    c.slug,
                    t.slug
                ]);
            });
        });
    });
    return paths;
};
/* harmony default export */ const utils_getCategoriesPaths = (getCategoriesPaths);

// EXTERNAL MODULE: ./redux/types.js
var types = __webpack_require__(9329);
;// CONCATENATED MODULE: ./pages/sitemap.xml.jsx



const BASE_URL = "https://magpharm.com/";
const Sitemap = ()=>null;
const staticPaths = [
    "",
    "carriere",
    "contact",
    "culture-rh",
    "developpement-durable",
    "historique",
    "le-mag",
    "marques",
    "mentions-legales",
    "notre-groupe",
    "ou-acheter",
    "politique-de-confidentialite",
    "produits",
    "recherche",
    "stages"
].map((e)=>`<url><loc>${BASE_URL}${e}</loc><lastmod>${new Date().toISOString()}</lastmod></url>`);
const getPaths = async ()=>[
        // Offers
        ...(await external_axios_default().get(`${types/* BASE_URL */._n}offres?per_page=100&_fields[]=slug&_fields[]=modified`)).data.map((e)=>`<url><loc>${BASE_URL}carriere/${e.slug}</loc><lastmod>${new Date(e.modified).toISOString()}</lastmod></url>`),
        // Categories
        ...(await utils_getCategoriesPaths(`${types/* BASE_URL */._n}product_cat?per_page=100&_fields[]=parent&_fields[]=slug&_fields[]=id`)).map((e)=>`<url><loc>${BASE_URL}${e?.join?.("/")}</loc><lastmod>${new Date().toISOString()}</lastmod></url>`),
        // Articles
        ...(await external_axios_default().get(`${types/* BASE_URL */._n}posts?_embed&per_page=2&_fields[]=modified&_fields[]=slug&_fields[]=id`)).data.map((e)=>`<url><loc>${BASE_URL}le-mag/${e.slug}</loc><lastmod>${new Date(e.modified).toISOString()}</lastmod></url>`),
        // Brands
        ...(await external_axios_default().get(`${types/* BASE_URL */._n}marques?per_page=100&_fields[]=slug`)).data.filter((e)=>e.parent === 0 && e.count > 0).map((e)=>`<url><loc>${BASE_URL}marques/${e.slug}</loc><lastmod>${new Date().toISOString()}</lastmod></url>`),
        // Products
        ...(await external_axios_default().get(`${types/* BASE_URL */._n}products-by-cat-marque?per_page=-1`)).data.map((e)=>`<url>
  <loc>${BASE_URL}produits/${e.slug}</loc>
  <lastmod>${new Date(e.date_modified.date).toISOString()}</lastmod>
</url>`),
        ...staticPaths
    ];
const getServerSideProps = async ({ res  })=>{
    const sitemap = `<?xml version="1.0" encoding="UTF-8"?> <urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
    ${(await getPaths()).join("")}
    </urlset>`;
    res.setHeader("Content-Type", "text/xml");
    res.write(sitemap);
    res.end();
    return {
        props: {}
    };
};
/* harmony default export */ const sitemap_xml = (Sitemap);


/***/ }),

/***/ 2167:
/***/ ((module) => {

module.exports = require("axios");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = __webpack_require__.X(0, [9329], () => (__webpack_exec__(3699)));
module.exports = __webpack_exports__;

})();