"use strict";
exports.id = 7874;
exports.ids = [7874];
exports.modules = {

/***/ 9202:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BP": () => (/* binding */ getSearchResults),
/* harmony export */   "J8": () => (/* binding */ fillHomeStore),
/* harmony export */   "Op": () => (/* binding */ getBrandsByCategory),
/* harmony export */   "sT": () => (/* binding */ getGroupePage),
/* harmony export */   "sx": () => (/* binding */ setPageLoaded),
/* harmony export */   "x0": () => (/* binding */ getPostsData)
/* harmony export */ });
/* unused harmony exports getOffersList, getOffersSearchResults, getOfferDetails, getOffersByDomain, getBranches, getVideos, getCultureRHPage, getDevelopmentPage */
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2167);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9329);


// used in splash screen
const setPageLoaded = ()=>(dispatch)=>dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .PAGE_LOADED */ .pk,
            page_loaded: true
        });
// used in articles tabs
const getPostsData = (sticky, categories, page, perPage)=>(dispatch)=>{
        if (!sticky) {
            dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .POSTS */ .vA,
                posts: null,
                loadingPosts: true
            });
        }
        var postsLink = _types__WEBPACK_IMPORTED_MODULE_1__/* .postsData */ .Dv;
        if (sticky) postsLink = postsLink + "sticky=true";
        else if (categories) postsLink = postsLink + "categories=" + categories;
        postsLink += `&_embed&page=${page}&per_page=${perPage}`;
        axios__WEBPACK_IMPORTED_MODULE_0___default().get(postsLink).then((response)=>{
            if (sticky) return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .FEATURED_POST */ .su,
                featuredPost: response?.data
            });
            else return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .POSTS */ .vA,
                posts: response?.data,
                loadingPosts: false,
                totalPosts: response.headers["x-wp-total"]
            });
        }).catch((error)=>{
            console.log("error posts", {
                error
            });
        });
    };
const getBrandsByCategory = (id)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .BRANDS_BY_CATEGORY */ .Hy,
            brandsByCat: null,
            brandsByCatLoading: true
        });
        axios__WEBPACK_IMPORTED_MODULE_0___default().get(_types__WEBPACK_IMPORTED_MODULE_1__/* .brandsByCategoryData */ .GE + id).then((response)=>{
            return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .BRANDS_BY_CATEGORY */ .Hy,
                brandsByCat: response?.data,
                brandsByCatLoading: false
            });
        });
    };
const getSearchResults = (search, page, perPage)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .SEARCH */ .mo,
            searchResult: null,
            loadingSearchResult: true,
            totalSearchPages: 0
        });
        axios__WEBPACK_IMPORTED_MODULE_0___default().get(`${_types__WEBPACK_IMPORTED_MODULE_1__/* .searchData */ .rg}s=${search}&page=${page}&per_page=${perPage}`).then((response)=>{
            return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .SEARCH */ .mo,
                searchResult: response?.data,
                loadingSearchResult: false,
                totalSearchPages: response.headers["x-wp-total"]
            });
        });
    };
const getOffersList = (limit)=>(dispatch)=>{
        dispatch({
            type: JOBS_OFFERS_LIST,
            loadingOffers: true,
            offersList: null
        });
        const limitOffers = limit ? `?per_page=${limit}` : "";
        axios.get(`${jobOffersData + limitOffers}`).then((response)=>{
            return dispatch({
                type: JOBS_OFFERS_LIST,
                loadingOffers: false,
                offersList: response?.data
            });
        });
    };
const getOffersSearchResults = (search, page, perPage)=>(dispatch)=>{
        dispatch({
            type: JOBS_OFFERS_LIST,
            loadingOffers: true,
            offersList: null
        });
        axios.get(`${searchData}?search=${search}&subtype=offres&page=${page}&per_page=${perPage}&_embed`).then((response)=>{
            var mappedData = [];
            response?.data?.map((val)=>{
                mappedData.push(val?._embedded?.self[0]);
            });
            return dispatch({
                type: JOBS_OFFERS_LIST,
                offersList: mappedData,
                loadingOffers: false
            });
        });
    };
const getOfferDetails = (slug)=>(dispatch)=>{
        dispatch({
            type: JOB_OFFER_DETAILS,
            loadingOfferDetails: true,
            offerDetails: null
        });
        axios.get(`${jobOffersData}?slug=${slug}`).then((response)=>{
            return dispatch({
                type: JOB_OFFER_DETAILS,
                loadingOfferDetails: false,
                offerDetails: response?.data
            });
        });
    };
const getOffersByDomain = (domain)=>(dispatch)=>{
        dispatch({
            type: JOBS_OFFERS_LIST,
            loadingOffers: true,
            offersList: null
        });
        axios.get(`${jobOffersData}?offres_domaines=${domain}`).then((response)=>{
            return dispatch({
                type: JOBS_OFFERS_LIST,
                loadingOffers: false,
                offersList: response?.data
            });
        });
    };
const getGroupePage = ()=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .MAGPHARM_GROUP */ .xB,
            loadingGroup: true,
            group: null
        });
        axios__WEBPACK_IMPORTED_MODULE_0___default().get(`${_types__WEBPACK_IMPORTED_MODULE_1__/* .groupePageData */ .QF}`).then((response)=>{
            return dispatch({
                type: _types__WEBPACK_IMPORTED_MODULE_1__/* .MAGPHARM_GROUP */ .xB,
                loadingGroup: false,
                group: response?.data
            });
        });
    };
const getBranches = ()=>(dispatch)=>{
        dispatch({
            type: BRANCHES,
            loadingBranches: true,
            branches: null
        });
        axios.get(`${branchesData}`).then((response)=>{
            return dispatch({
                type: BRANCHES,
                loadingBranches: false,
                branches: response?.data
            });
        });
    };
const fillHomeStore = (homeStore)=>(dispatch)=>{
        dispatch({
            type: _types__WEBPACK_IMPORTED_MODULE_1__/* .FILL_HOME_STORE */ .rz,
            ...homeStore
        });
    };
const getVideos = ()=>(dispatch)=>{
        dispatch({
            type: VIDEOS_LIST,
            loadingVideos: true,
            videos: null
        });
        axios.get(`${videosData}`).then((response)=>{
            return dispatch({
                type: VIDEOS_LIST,
                loadingVideos: false,
                videos: response?.data
            });
        });
    };
const getCultureRHPage = ()=>(dispatch)=>{
        dispatch({
            type: CULTURE_RH,
            loadingCultureRH: true,
            cultureRH: null
        });
        axios.get(`${cultureRHPageData}`).then((response)=>{
            return dispatch({
                type: CULTURE_RH,
                loadingCultureRH: false,
                cultureRH: response?.data
            });
        });
    };
const getDevelopmentPage = ()=>(dispatch)=>{
        dispatch({
            type: DEVELOPMENT,
            loadingDevelopment: true,
            developmentPage: null
        });
        axios.get(`${developmentPageData}`).then((response)=>{
            return dispatch({
                type: DEVELOPMENT,
                loadingDevelopment: false,
                developmentPage: response?.data
            });
        });
    };


/***/ }),

/***/ 9271:
/***/ ((module) => {

module.exports = JSON.parse('{"v":"4.8.0","meta":{"g":"LottieFiles AE 3.0.2","a":"","k":"","d":"","tc":""},"fr":29.9700012207031,"ip":0,"op":316.000012870944,"w":1920,"h":350,"nm":"Magpharm logo 1920x350","ddd":0,"assets":[{"id":"comp_0","layers":[{"ddd":0,"ind":1,"ty":0,"nm":"TEXT","refId":"comp_1","sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[963,533,0],"ix":2},"a":{"a":0,"k":[960,540,0],"ix":1},"s":{"a":0,"k":[86.957,86.957,100],"ix":6}},"ao":0,"w":1920,"h":1080,"ip":2.49750010172526,"op":279.720011393229,"st":2.49750010172526,"bm":0}]},{"id":"comp_1","layers":[{"ddd":0,"ind":1,"ty":4,"nm":"M 33","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1618.675,539.798,0],"ix":2},"a":{"a":0,"k":[-207.743,34.225,0],"ix":1},"s":{"a":0,"k":[-102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[13.447,9.523],[-0.618,-34.158],[-0.353,-7.427]],"o":[[-16.138,-11.428],[0.488,26.958],[0,21.954]],"v":[[-201.19,10.261],[-246.037,31.077],[-246.47,98.307]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":56.194,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":74.925,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":149.85,"s":[100]},{"t":168.581256866455,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":54.9450022379557,"op":795.453782399495,"st":51.1987520853678,"bm":0},{"ddd":0,"ind":2,"ty":4,"nm":"M 32","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1480.123,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,59.478,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[5.504,0],[1.794,-2.394],[0,0],[0,0],[0,0],[5.624,0],[1.914,-2.394],[0,0],[0,0],[0,0],[0,0],[0,0],[-9.093,0],[-2.394,-6.82],[-9.094,0],[0,-11.846],[0,0]],"o":[[0,0],[0,-4.427],[-5.026,0],[0,0],[0,0],[0,0],[0,-4.427],[-4.906,0],[0,0],[0,0],[0,0],[0,0],[0,0],[2.512,-3.351],[8.257,0],[3.349,-5.025],[10.649,0],[0,0],[0,0]],"v":[[27.28,29.614],[27.28,-5.563],[19.622,-13.341],[9.213,-7.717],[9.213,29.614],[-9.214,29.614],[-9.214,-5.563],[-16.871,-13.341],[-27.16,-7.717],[-27.16,29.614],[-45.587,29.614],[-45.587,-28.177],[-27.16,-28.177],[-27.16,-21.118],[-8.138,-29.614],[8.257,-19.324],[28.237,-29.614],[45.587,-12.264],[45.587,29.614]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[45.837,29.864],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":54.9450022379557,"op":797.951282501221,"st":54.9450022379557,"bm":0},{"ddd":0,"ind":3,"ty":4,"nm":"M 30","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1538.175,535.773,0],"ix":2},"a":{"a":0,"k":[-207.743,34.225,0],"ix":1},"s":{"a":0,"k":[-102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[13.447,9.523],[-0.618,-34.158],[-0.353,-7.427]],"o":[[-16.138,-11.428],[0.488,26.958],[0,21.954]],"v":[[-196.686,14.203],[-246.037,28.261],[-246.47,98.307]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":62.438,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":81.169,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":154.845,"s":[100]},{"t":173.576257069906,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":61.1887524922689,"op":660.588776906331,"st":57.442502339681,"bm":0},{"ddd":0,"ind":4,"ty":4,"nm":"M 31","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1480.123,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,59.478,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[5.504,0],[1.794,-2.394],[0,0],[0,0],[0,0],[5.624,0],[1.914,-2.394],[0,0],[0,0],[0,0],[0,0],[0,0],[-9.093,0],[-2.394,-6.82],[-9.094,0],[0,-11.846],[0,0]],"o":[[0,0],[0,-4.427],[-5.026,0],[0,0],[0,0],[0,0],[0,-4.427],[-4.906,0],[0,0],[0,0],[0,0],[0,0],[0,0],[2.512,-3.351],[8.257,0],[3.349,-5.025],[10.649,0],[0,0],[0,0]],"v":[[27.28,29.614],[27.28,-5.563],[19.622,-13.341],[9.213,-7.717],[9.213,29.614],[-9.214,29.614],[-9.214,-5.563],[-16.871,-13.341],[-27.16,-7.717],[-27.16,29.614],[-45.587,29.614],[-45.587,-28.177],[-27.16,-28.177],[-27.16,-21.118],[-8.138,-29.614],[8.257,-19.324],[28.237,-29.614],[45.587,-12.264],[45.587,29.614]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[45.837,29.864],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":61.1887524922689,"op":663.086277008057,"st":61.1887524922689,"bm":0},{"ddd":0,"ind":5,"ty":4,"nm":"M 29","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1494.036,574.503,0],"ix":2},"a":{"a":0,"k":[-269.928,76.572,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0.286,-41.588]],"o":[[0,0],[-0.287,41.628]],"v":[[-269.088,-29.992],[-271.182,144.849]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":49.95,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":68.681,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":164.835,"s":[100]},{"t":183.566257476807,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":48.7012519836426,"op":648.101276397705,"st":44.9550018310547,"bm":0},{"ddd":0,"ind":6,"ty":4,"nm":"M 2","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1480.123,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,59.478,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[5.504,0],[1.794,-2.394],[0,0],[0,0],[0,0],[5.624,0],[1.914,-2.394],[0,0],[0,0],[0,0],[0,0],[0,0],[-9.093,0],[-2.394,-6.82],[-9.094,0],[0,-11.846],[0,0]],"o":[[0,0],[0,-4.427],[-5.026,0],[0,0],[0,0],[0,0],[0,-4.427],[-4.906,0],[0,0],[0,0],[0,0],[0,0],[0,0],[2.512,-3.351],[8.257,0],[3.349,-5.025],[10.649,0],[0,0],[0,0]],"v":[[27.28,29.614],[27.28,-5.563],[19.622,-13.341],[9.213,-7.717],[9.213,29.614],[-9.214,29.614],[-9.214,-5.563],[-16.871,-13.341],[-27.16,-7.717],[-27.16,29.614],[-45.587,29.614],[-45.587,-28.177],[-27.16,-28.177],[-27.16,-21.118],[-8.138,-29.614],[8.257,-19.324],[28.237,-29.614],[45.587,-12.264],[45.587,29.614]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[45.837,29.864],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":48.7012519836426,"op":645.60377629598,"st":43.7062517801921,"bm":0},{"ddd":0,"ind":7,"ty":4,"nm":"M 26","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1406.636,574.503,0],"ix":2},"a":{"a":0,"k":[-269.928,76.572,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[-35.654,-22.296]],"o":[[0,0],[35.296,22.072]],"v":[[-250.866,28.028],[-160.064,12.301]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":44.955,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":63.686,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":154.845,"s":[100]},{"t":173.576257069906,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":40,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":43.7062517801921,"op":769.23003133138,"st":39.9600016276042,"bm":0},{"ddd":0,"ind":8,"ty":4,"nm":"R 2","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1393.465,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,59.597,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[-6.938,0],[0,0],[1.914,0],[2.392,-3.23],[0,0]],"o":[[0,0],[0,0],[0,0],[3.829,-4.666],[0,0],[-1.076,-0.239],[-4.786,0],[0,0],[0,0]],"v":[[-18.246,29.674],[-18.246,-28.118],[0.18,-28.118],[0.18,-21.059],[18.246,-29.674],[18.246,-11.965],[13.7,-12.443],[0.18,-7.18],[0.18,29.674]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[18.497,29.924],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":43.7062517801921,"op":771.727531433105,"st":43.7062517801921,"bm":0},{"ddd":0,"ind":9,"ty":4,"nm":"M 25","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1406.636,574.503,0],"ix":2},"a":{"a":0,"k":[-269.928,76.572,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0.286,-41.588]],"o":[[0,0],[-0.287,41.628]],"v":[[-269.088,-29.992],[-270.769,183.137]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":37.463,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":56.194,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":166.084,"s":[100]},{"t":184.815007527669,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":36.2137514750163,"op":635.613775889079,"st":32.4675013224284,"bm":0},{"ddd":0,"ind":10,"ty":4,"nm":"R ","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1393.465,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,59.597,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[-6.938,0],[0,0],[1.914,0],[2.392,-3.23],[0,0]],"o":[[0,0],[0,0],[0,0],[3.829,-4.666],[0,0],[-1.076,-0.239],[-4.786,0],[0,0],[0,0]],"v":[[-18.246,29.674],[-18.246,-28.118],[0.18,-28.118],[0.18,-21.059],[18.246,-29.674],[18.246,-11.965],[13.7,-12.443],[0.18,-7.18],[0.18,29.674]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[18.497,29.924],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":36.2137514750163,"op":638.111275990804,"st":36.2137514750163,"bm":0},{"ddd":0,"ind":11,"ty":4,"nm":"M 22","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1520.565,540,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[4.841,-0.365],[12.787,-4.512],[-2.335,-5.377],[14.324,-10.157],[-5.465,-2.384],[-6.308,-0.791],[-6.717,0.495]],"o":[[-12.717,0.958],[-7.52,2.653],[1.69,3.893],[-4.104,2.91],[6.095,2.659],[5.019,0.629],[7.463,-0.55]],"v":[[-199.772,12.605],[-230.125,16.054],[-244.859,29.383],[-247.867,40.665],[-238.768,56.099],[-217.975,59.887],[-200.21,59.483]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":42.458,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":61.189,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":168.581,"s":[100]},{"t":187.312507629395,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":37,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":41.2087516784668,"op":640.608776092529,"st":37.4625015258789,"bm":0},{"ddd":0,"ind":12,"ty":4,"nm":"A 6","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1285.103,610.346,0],"ix":2},"a":{"a":0,"k":[14.612,56.659,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-1.915,2.752],[0,0],[4.068,0],[0,-4.548],[-4.906,0]],"o":[[0,0],[-1.915,-2.632],[-4.906,0],[0,4.546],[4.068,0]],"v":[[9.692,14.059],[9.692,8.914],[-0.598,4.846],[-9.811,11.547],[-0.598,18.247]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[7.419,0],[0,13.043],[-8.854,0],[-3.47,-4.307],[0,0],[7.418,0],[4.666,-3.948],[0,0],[-8.854,0],[0,-17.948],[0,0]],"o":[[0,0],[-3.589,4.307],[-8.854,0],[0,-13.999],[7.658,0],[0,0],[0,-5.025],[-5.743,0],[0,0],[7.418,-6.342],[13.88,0],[0,0],[0,0]],"v":[[9.692,28.896],[9.692,23.153],[-8.256,30.332],[-28.119,11.307],[-8.256,-7.239],[9.692,-0.538],[9.692,-7.478],[-2.034,-15.853],[-18.426,-9.752],[-25.007,-21.358],[1.196,-30.332],[28.119,-7.239],[28.119,28.896]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[28.369,30.582],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":42.4575017293294,"op":644.355026245117,"st":42.4575017293294,"bm":0},{"ddd":0,"ind":13,"ty":4,"nm":"M 21","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1520.565,540,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[-28.977,-18.03],[1.158,-29.264]],"o":[[0,0],[26.507,16.493],[0,0]],"v":[[-255.574,-23.619],[-175.445,-31.141],[-158.191,65.908]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":29.97,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":48.701,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":172.328,"s":[100]},{"t":191.058757781982,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":28.7212511698405,"op":628.121275583903,"st":24.9750010172526,"bm":0},{"ddd":0,"ind":14,"ty":4,"nm":"A 5","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1285.103,610.346,0],"ix":2},"a":{"a":0,"k":[14.612,56.659,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-1.915,2.752],[0,0],[4.068,0],[0,-4.548],[-4.906,0]],"o":[[0,0],[-1.915,-2.632],[-4.906,0],[0,4.546],[4.068,0]],"v":[[9.692,14.059],[9.692,8.914],[-0.598,4.846],[-9.811,11.547],[-0.598,18.247]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[7.419,0],[0,13.043],[-8.854,0],[-3.47,-4.307],[0,0],[7.418,0],[4.666,-3.948],[0,0],[-8.854,0],[0,-17.948],[0,0]],"o":[[0,0],[-3.589,4.307],[-8.854,0],[0,-13.999],[7.658,0],[0,0],[0,-5.025],[-5.743,0],[0,0],[7.418,-6.342],[13.88,0],[0,0],[0,0]],"v":[[9.692,28.896],[9.692,23.153],[-8.256,30.332],[-28.119,11.307],[-8.256,-7.239],[9.692,-0.538],[9.692,-7.478],[-2.034,-15.853],[-18.426,-9.752],[-25.007,-21.358],[1.196,-30.332],[28.119,-7.239],[28.119,28.896]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[28.369,30.582],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":28.7212511698405,"op":634.365025838216,"st":32.4675013224284,"bm":0},{"ddd":0,"ind":15,"ty":4,"nm":"M 18","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1180.525,542.673,0],"ix":2},"a":{"a":0,"k":[-207.743,34.225,0],"ix":1},"s":{"a":0,"k":[-102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[8.253,7.52],[-0.618,-34.158],[-0.353,-7.427]],"o":[[-14.617,-13.318],[0.488,26.958],[0,21.954]],"v":[[-198.077,9.135],[-249.978,31.077],[-250.411,98.307]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":28.721,"s":[0]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":49.95,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":176.074,"s":[100]},{"t":197.302508036296,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":27.4725011189779,"op":626.87252553304,"st":23.72625096639,"bm":0},{"ddd":0,"ind":16,"ty":4,"nm":"H 2","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1118.234,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,80.058,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[5.863,0],[2.153,-2.632],[0,0],[0,0],[0,0],[0,0],[0,0],[-9.692,0],[0,-10.65],[0,0]],"o":[[0,0],[0,-7.06],[-5.384,0],[0,0],[0,0],[0,0],[0,0],[0,0],[3.47,-4.069],[13.162,0],[0,0],[0,0]],"v":[[10.35,39.904],[10.35,6.282],[0.778,-3.051],[-10.349,2.573],[-10.349,39.904],[-28.776,39.904],[-28.776,-39.904],[-10.349,-39.904],[-10.349,-10.828],[9.632,-19.324],[28.776,-1.256],[28.776,39.904]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[29.026,40.154],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":14.9850006103516,"op":626.87252553304,"st":24.9750010172526,"bm":0},{"ddd":0,"ind":17,"ty":4,"nm":"M 17","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1142.166,574.503,0],"ix":2},"a":{"a":0,"k":[-269.928,76.572,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0.286,-41.588]],"o":[[0,0],[-0.287,41.628]],"v":[[-269.088,-29.992],[-270.769,183.137]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":16.234,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":34.965,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":181.069,"s":[100]},{"t":199.800008138021,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":48,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[-9,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":14.9850006103516,"op":614.385025024414,"st":11.2387504577637,"bm":0},{"ddd":0,"ind":18,"ty":4,"nm":"H ","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1118.234,616.441,0],"ix":2},"a":{"a":0,"k":[0.25,80.058,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[5.863,0],[2.153,-2.632],[0,0],[0,0],[0,0],[0,0],[0,0],[-9.692,0],[0,-10.65],[0,0]],"o":[[0,0],[0,-7.06],[-5.384,0],[0,0],[0,0],[0,0],[0,0],[0,0],[3.47,-4.069],[13.162,0],[0,0],[0,0]],"v":[[10.35,39.904],[10.35,6.282],[0.778,-3.051],[-10.349,2.573],[-10.349,39.904],[-28.776,39.904],[-28.776,-39.904],[-10.349,-39.904],[-10.349,-10.828],[9.632,-19.324],[28.776,-1.256],[28.776,39.904]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[29.026,40.154],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":14.9850006103516,"op":616.882525126139,"st":14.9850006103516,"bm":0},{"ddd":0,"ind":19,"ty":4,"nm":"M 14","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1035.448,546.609,0],"ix":2},"a":{"a":0,"k":[-207.743,34.225,0],"ix":1},"s":{"a":0,"k":[-102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[1.764,0],[8.296,-6.045],[-0.645,-13.58],[-23.924,12.01]],"o":[[-13.904,0],[-13.397,9.762],[1.778,37.446],[7.542,-3.786]],"v":[[-212.496,-3.121],[-244.321,3.903],[-256.468,47.648],[-200.193,77.231]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":22.478,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":41.209,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":188.561,"s":[100]},{"t":207.292508443197,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":47,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":21.2287508646647,"op":620.628775278727,"st":17.4825007120768,"bm":0},{"ddd":0,"ind":20,"ty":4,"nm":"P 2","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[988.615,593.892,0],"ix":2},"a":{"a":0,"k":[6.101,49.047,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,8.735],[7.179,0],[2.273,-3.112],[0,0],[-3.948,0]],"o":[[0,-8.614],[-3.948,0],[0,0],[2.273,2.992],[7.179,0]],"v":[[11.666,-10.351],[-1.018,-24.35],[-12.024,-19.084],[-12.024,-1.497],[-1.018,3.768]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[4.786,5.743],[0,0],[0,0],[0,0],[0,0],[0,0],[-6.58,0],[0,-19.503],[14.478,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[4.545,-5.505],[14.478,0],[0,19.624],[-6.461,0]],"v":[[-12.024,11.786],[-12.024,40.622],[-30.451,40.622],[-30.451,-39.186],[-12.024,-39.186],[-12.024,-32.486],[5.084,-40.622],[30.451,-10.351],[5.084,20.042]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[30.701,40.872],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":21.2287508646647,"op":623.126275380452,"st":21.2287508646647,"bm":0},{"ddd":0,"ind":21,"ty":4,"nm":"M 13","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1265.933,496.306,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0.286,-41.588]],"o":[[0,0],[-0.287,41.628]],"v":[[-269.088,-29.992],[-270.769,183.137]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":33.716,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":52.448,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":187.313,"s":[100]},{"t":206.043758392334,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":32.4675013224284,"op":631.867525736491,"st":28.7212511698405,"bm":0},{"ddd":0,"ind":22,"ty":4,"nm":"P ","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[988.615,593.892,0],"ix":2},"a":{"a":0,"k":[6.101,49.047,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,8.735],[7.179,0],[2.273,-3.112],[0,0],[-3.948,0]],"o":[[0,-8.614],[-3.948,0],[0,0],[2.273,2.992],[7.179,0]],"v":[[11.666,-10.351],[-1.018,-24.35],[-12.024,-19.084],[-12.024,-1.497],[-1.018,3.768]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[4.786,5.743],[0,0],[0,0],[0,0],[0,0],[0,0],[-6.58,0],[0,-19.503],[14.478,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[4.545,-5.505],[14.478,0],[0,19.624],[-6.461,0]],"v":[[-12.024,11.786],[-12.024,40.622],[-30.451,40.622],[-30.451,-39.186],[-12.024,-39.186],[-12.024,-32.486],[5.084,-40.622],[30.451,-10.351],[5.084,20.042]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[30.701,40.872],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":31.2187512715658,"op":633.116275787354,"st":31.2187512715658,"bm":0},{"ddd":0,"ind":23,"ty":4,"nm":"M 10","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[895.526,543.918,0],"ix":2},"a":{"a":0,"k":[-207.743,34.225,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[5.084,9.94],[22.463,-6.176],[-1.049,-15.688],[-21.319,26.952]],"o":[[-7.596,-14.85],[-29.435,8.092],[3.29,49.196],[3.664,-4.633]],"v":[[-174.212,22.447],[-228.11,0.15],[-256.468,47.648],[-180.66,61.594]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":17.483,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":36.214,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":197.303,"s":[100]},{"t":216.033758799235,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":16.2337506612142,"op":615.633775075277,"st":12.4875005086263,"bm":0},{"ddd":0,"ind":24,"ty":4,"nm":"G 2","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[853.014,595.844,0],"ix":2},"a":{"a":0,"k":[13.016,49.951,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-2.273,3.11],[0,0],[3.829,0],[0,-8.375],[-7.299,0]],"o":[[0,0],[-2.273,-3.111],[-7.299,0],[0,8.496],[3.829,0]],"v":[[12.144,-4.486],[12.144,-19.922],[1.136,-25.067],[-11.547,-12.264],[1.136,0.659]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[7.418,6.101],[0,0],[-6.7,0],[0,10.768],[0,0],[6.581,0],[0,19.504],[-14.477,0],[-4.666,-5.743],[0,0],[0,0],[0,0],[14.358,0]],"o":[[0,0],[4.428,4.785],[6.103,0],[0,0],[-4.786,5.623],[-14.119,0],[0,-19.025],[6.461,0],[0,0],[0,0],[0,0],[0,23.572],[-9.931,0]],"v":[[-28.178,32.726],[-20.162,19.564],[-2.573,26.264],[12.144,12.983],[12.144,8.556],[-4.966,16.931],[-30.452,-12.264],[-4.966,-41.34],[12.144,-33.084],[12.144,-39.903],[30.452,-39.903],[30.452,12.743],[-2.573,41.34]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[30.702,41.59],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":9.99000040690104,"op":610.638774871826,"st":8.74125035603841,"bm":0},{"ddd":0,"ind":25,"ty":4,"nm":"M 9","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[1195.835,496.306,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0.286,-41.588],[83.527,16.602]],"o":[[0,0],[-0.287,41.628],[0,0]],"v":[[-247.653,-26.241],[-245.583,81.322],[-345.901,142.5]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":11.239,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":29.97,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":182.318,"s":[100]},{"t":201.048758188883,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":9.99000040690104,"op":609.390024820964,"st":6.24375025431315,"bm":0},{"ddd":0,"ind":26,"ty":4,"nm":"G","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[853.014,595.844,0],"ix":2},"a":{"a":0,"k":[13.016,49.951,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-2.273,3.11],[0,0],[3.829,0],[0,-8.375],[-7.299,0]],"o":[[0,0],[-2.273,-3.111],[-7.299,0],[0,8.496],[3.829,0]],"v":[[12.144,-4.486],[12.144,-19.922],[1.136,-25.067],[-11.547,-12.264],[1.136,0.659]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[7.418,6.101],[0,0],[-6.7,0],[0,10.768],[0,0],[6.581,0],[0,19.504],[-14.477,0],[-4.666,-5.743],[0,0],[0,0],[0,0],[14.358,0]],"o":[[0,0],[4.428,4.785],[6.103,0],[0,0],[-4.786,5.623],[-14.119,0],[0,-19.025],[6.461,0],[0,0],[0,0],[0,0],[0,23.572],[-9.931,0]],"v":[[-28.178,32.726],[-20.162,19.564],[-2.573,26.264],[12.144,12.983],[12.144,8.556],[-4.966,16.931],[-30.452,-12.264],[-4.966,-41.34],[12.144,-33.084],[12.144,-39.903],[30.452,-39.903],[30.452,12.743],[-2.573,41.34]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[30.702,41.59],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":8.74125035603841,"op":609.390024820964,"st":7.49250030517578,"bm":0},{"ddd":0,"ind":27,"ty":4,"nm":"M 6","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[960,540,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[7.698,8.086],[18.421,-6.499],[0.035,-4.989],[-30.488,14.64]],"o":[[-8.128,-8.538],[-14.053,4.958],[-0.132,18.892],[5.325,-2.557]],"v":[[-174.474,17.732],[-225.229,7.486],[-241.012,38.217],[-195.069,57.402]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":18.731,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":37.463,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":174.825,"s":[100]},{"t":193.556257883708,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":17.4825007120768,"op":616.882525126139,"st":13.7362505594889,"bm":0},{"ddd":0,"ind":28,"ty":4,"nm":"A 4","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[724.538,610.346,0],"ix":2},"a":{"a":0,"k":[14.612,56.659,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-1.915,2.752],[0,0],[4.068,0],[0,-4.548],[-4.906,0]],"o":[[0,0],[-1.915,-2.632],[-4.906,0],[0,4.546],[4.068,0]],"v":[[9.692,14.059],[9.692,8.914],[-0.598,4.846],[-9.811,11.547],[-0.598,18.247]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[7.419,0],[0,13.043],[-8.854,0],[-3.47,-4.307],[0,0],[7.418,0],[4.666,-3.948],[0,0],[-8.854,0],[0,-17.948],[0,0]],"o":[[0,0],[-3.589,4.307],[-8.854,0],[0,-13.999],[7.658,0],[0,0],[0,-5.025],[-5.743,0],[0,0],[7.418,-6.342],[13.88,0],[0,0],[0,0]],"v":[[9.692,28.896],[9.692,23.153],[-8.256,30.332],[-28.119,11.307],[-8.256,-7.239],[9.692,-0.538],[9.692,-7.478],[-2.034,-15.853],[-18.426,-9.752],[-25.007,-21.358],[1.196,-30.332],[28.119,-7.239],[28.119,28.896]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[28.369,30.582],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":18.7312507629395,"op":620.628775278727,"st":18.7312507629395,"bm":0},{"ddd":0,"ind":29,"ty":4,"nm":"M 5","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[960,540,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[-28.977,-18.03],[1.158,-29.264]],"o":[[0,0],[26.507,16.493],[0,0]],"v":[[-255.574,-23.619],[-172.507,-30.993],[-155.253,66.056]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":8.741,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":27.473,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":188.561,"s":[100]},{"t":207.292508443197,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":52,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":7.49250030517578,"op":606.892524719238,"st":3.74625015258789,"bm":0},{"ddd":0,"ind":30,"ty":4,"nm":"A ","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[724.538,610.346,0],"ix":2},"a":{"a":0,"k":[14.612,56.659,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[-1.915,2.752],[0,0],[4.068,0],[0,-4.548],[-4.906,0]],"o":[[0,0],[-1.915,-2.632],[-4.906,0],[0,4.546],[4.068,0]],"v":[[9.692,14.059],[9.692,8.914],[-0.598,4.846],[-9.811,11.547],[-0.598,18.247]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ind":1,"ty":"sh","ix":2,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[7.419,0],[0,13.043],[-8.854,0],[-3.47,-4.307],[0,0],[7.418,0],[4.666,-3.948],[0,0],[-8.854,0],[0,-17.948],[0,0]],"o":[[0,0],[-3.589,4.307],[-8.854,0],[0,-13.999],[7.658,0],[0,0],[0,-5.025],[-5.743,0],[0,0],[7.418,-6.342],[13.88,0],[0,0],[0,0]],"v":[[9.692,28.896],[9.692,23.153],[-8.256,30.332],[-28.119,11.307],[-8.256,-7.239],[9.692,-0.538],[9.692,-7.478],[-2.034,-15.853],[-18.426,-9.752],[-25.007,-21.358],[1.196,-30.332],[28.119,-7.239],[28.119,28.896]],"c":true},"ix":2},"nm":"Path 2","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"mm","mm":1,"nm":"Merge Paths 1","mn":"ADBE Vector Filter - Merge","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[28.369,30.582],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":4,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":8.74125035603841,"op":610.638774871826,"st":8.74125035603841,"bm":0},{"ddd":0,"ind":31,"ty":4,"nm":"M","td":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[960,540,0],"ix":2},"a":{"a":0,"k":[0,0,0],"ix":1},"s":{"a":0,"k":[102.121,102.121,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[-441.75,75],[-441.75,-75.5],[-413.5,-75],[-372.954,57.236],[-362.7,56.525],[-326.191,-78.475],[-293.5,-76.75],[-294.5,75.5]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"tm","s":{"a":0,"k":0,"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":4.995,"s":[0]},{"i":{"x":[0.416],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":23.726,"s":[100]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.584],"y":[0]},"t":197.303,"s":[100]},{"t":216.033758799235,"s":[0]}],"ix":2},"o":{"a":0,"k":0,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"st","c":{"a":0,"k":[0.833820537492,0.125951550054,0.917647058824,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":43,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":3.74625015258789,"op":603.14627456665,"st":0,"bm":0},{"ddd":0,"ind":32,"ty":4,"nm":"M ","tt":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[496.381,610.116,0],"ix":2},"a":{"a":0,"k":[5.037,77.132,0],"ix":1},"s":{"a":0,"k":[216.2,216.2,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[24.708,39.904],[24.708,-12.025],[4.487,39.904],[-4.606,39.904],[-24.708,-12.025],[-24.708,39.904],[-45.288,39.904],[-45.288,-39.904],[-16.691,-39.904],[-0.06,3.411],[16.691,-39.904],[45.288,-39.904],[45.288,39.904]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[0.311869303385,0.321049469593,0.339344398648,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[45.538,40.154],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Group 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":0,"op":601.897524515788,"st":0,"bm":0}]}],"layers":[{"ddd":0,"ind":1,"ty":3,"nm":"All_Control","sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[890.809,165.269,0],"ix":2},"a":{"a":0,"k":[50,50,0],"ix":1},"s":{"a":0,"k":[275.149,275.149,100],"ix":6}},"ao":0,"ip":0,"op":316.000012870944,"st":0,"bm":0},{"ddd":0,"ind":2,"ty":0,"nm":"Mga text coll","parent":1,"refId":"comp_0","sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[114.957,37.851,0],"ix":2},"a":{"a":0,"k":[1019.066,526.338,0],"ix":1},"s":{"a":0,"k":[44.6,44.6,100],"ix":6}},"ao":0,"w":1920,"h":1080,"ip":15.3675006259311,"op":261.371260645869,"st":15.3675006259311,"bm":0},{"ddd":0,"ind":3,"ty":4,"nm":"Square","parent":1,"sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.267],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":112.044,"s":[0]},{"i":{"x":[0.267],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":119.579,"s":[100]},{"i":{"x":[0.667],"y":[1.006]},"o":{"x":[0.733],"y":[0]},"t":282,"s":[100]},{"t":294.000011974866,"s":[0]}],"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"s":true,"x":{"a":0,"k":-168.051,"ix":3},"y":{"a":1,"k":[{"i":{"x":[0.247],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":109.89,"s":[106.5]},{"i":{"x":[0.387],"y":[1]},"o":{"x":[0.567],"y":[0]},"t":125.5,"s":[76.1]},{"i":{"x":[0.017],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":134.419,"s":[83.7]},{"i":{"x":[0.647],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":144.855,"s":[80.5]},{"i":{"x":[0.239],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":253,"s":[80.5]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.605],"y":[0]},"t":263.436,"s":[83.7]},{"i":{"x":[0.397],"y":[0.937]},"o":{"x":[0.384],"y":[0]},"t":272.355,"s":[76.1]},{"t":295.000012015596,"s":[106.5]}],"ix":4}},"a":{"a":0,"k":[-2.8,33.5,0],"ix":1},"s":{"a":0,"k":[100,100,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0]],"v":[[0,21.75],[-11.75,33.25],[0.25,45.25],[11.25,33]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"fl","c":{"a":0,"k":[1,0.145098039216,0.105882352941,1],"ix":4},"o":{"a":0,"k":100,"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false},{"ty":"tr","p":{"a":0,"k":[0,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":3,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":109.890004475911,"op":316.000012870944,"st":-42.4575017293294,"bm":0},{"ddd":0,"ind":4,"ty":4,"nm":"P 3","parent":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[-170.742,38.453,0],"ix":2},"a":{"a":0,"k":[-7.165,-20.375,0],"ix":1},"s":{"a":0,"k":[47.6,48.301,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[55.05,29.688],[-44.5,-67.438],[-94.625,-18.875],[-46.601,30.18],[51.774,-69.07],[104,-18],[58.75,27]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[1,0.145098039216,0.105882352941,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":31,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,-1],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false},{"ty":"tm","s":{"a":1,"k":[{"i":{"x":[0.465],"y":[1]},"o":{"x":[0.488],"y":[0]},"t":91.159,"s":[100]},{"i":{"x":[0.465],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":112.388,"s":[0]},{"i":{"x":[0.667],"y":[1]},"o":{"x":[0.604],"y":[0]},"t":271,"s":[0]},{"t":301.000012259981,"s":[100]}],"ix":1},"e":{"a":0,"k":100,"ix":2},"o":{"a":0,"k":-139.7,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false}],"ip":89.9100036621094,"op":316.000012870944,"st":173.576257069906,"bm":0},{"ddd":0,"ind":5,"ty":4,"nm":"Haerth 6","parent":1,"sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.163],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":65,"s":[100]},{"t":71.0000028918893,"s":[0]}],"ix":11},"r":{"a":0,"k":-1,"ix":10},"p":{"a":0,"k":[-166.798,49.88,0],"ix":2},"a":{"a":0,"k":[21.778,10.747,0],"ix":1},"s":{"a":1,"k":[{"i":{"x":[0.465,0.465,0.667],"y":[1,1,1]},"o":{"x":[0.333,0.333,0.333],"y":[0,0,0]},"t":62,"s":[49.404,48.745,100]},{"t":71.0000028918893,"s":[75,74,100]}],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[43.365,-65.479],[6.825,-30.568],[-28.936,-67.36],[-89.852,-6.586],[4.433,89.157],[101.996,-3.736]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[1,0.145098039216,0.105882360421,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":5,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[21.849,10.773],"ix":2},"a":{"a":0,"k":[5.869,10.773],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":62.0000025253118,"op":72.0000029326201,"st":47.9650019536545,"bm":0},{"ddd":0,"ind":6,"ty":4,"nm":"Haerth 5","parent":1,"sr":1,"ks":{"o":{"a":1,"k":[{"i":{"x":[0.163],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":52,"s":[100]},{"t":58.0000023623884,"s":[0]}],"ix":11},"r":{"a":0,"k":-1,"ix":10},"p":{"a":0,"k":[-166.798,49.88,0],"ix":2},"a":{"a":0,"k":[21.778,10.747,0],"ix":1},"s":{"a":1,"k":[{"i":{"x":[0.465,0.465,0.667],"y":[1,1,1]},"o":{"x":[0.333,0.333,0.333],"y":[0,0,0]},"t":49,"s":[49.404,48.745,100]},{"t":58.0000023623884,"s":[75,74,100]}],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[43.365,-65.479],[6.825,-30.568],[-28.936,-67.36],[-89.852,-6.586],[4.433,89.157],[101.996,-3.736]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[1,0.145098039216,0.105882360421,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":5,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[21.849,10.773],"ix":2},"a":{"a":0,"k":[5.869,10.773],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false}],"ip":49.0000019958109,"op":59.0000024031193,"st":34.9650014241536,"bm":0},{"ddd":0,"ind":7,"ty":4,"nm":"Haerth","parent":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":-1,"ix":10},"p":{"a":0,"k":[-166.798,49.88,0],"ix":2},"a":{"a":0,"k":[21.778,10.747,0],"ix":1},"s":{"a":0,"k":[58.152,57.377,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[46.073,-46.441],[6.575,-7.964],[-32.779,-47.779],[-73.497,-8.829],[4.777,69.273],[85.091,-6.487]],"c":true},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[1,0.145098039216,0.105882352941,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":1,"k":[{"i":{"x":[0.422],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":47.83,"s":[27]},{"i":{"x":[0.472],"y":[1]},"o":{"x":[0.464],"y":[0]},"t":54,"s":[34]},{"i":{"x":[0.302],"y":[1]},"o":{"x":[0.441],"y":[0]},"t":61,"s":[27.017]},{"i":{"x":[0.464],"y":[1]},"o":{"x":[0.552],"y":[0]},"t":68,"s":[34]},{"t":73.3087529859266,"s":[27]}],"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[15.981,0],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false},{"ty":"tm","s":{"a":1,"k":[{"i":{"x":[0.174],"y":[1]},"o":{"x":[0.445],"y":[0]},"t":31.219,"s":[100]},{"i":{"x":[0.625],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":47.785,"s":[0]},{"i":{"x":[0.464],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":78.696,"s":[0]},{"t":97.4025039672852,"s":[100]}],"ix":1},"e":{"a":0,"k":100,"ix":2},"o":{"a":0,"k":32,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false},{"ty":"fl","c":{"a":0,"k":[1,0.145098039216,0.105882352941,1],"ix":4},"o":{"a":1,"k":[{"i":{"x":[0],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":42.066,"s":[0]},{"i":{"x":[0.458],"y":[1]},"o":{"x":[0.167],"y":[0]},"t":45.585,"s":[100]},{"i":{"x":[0],"y":[1]},"o":{"x":[0.333],"y":[0]},"t":79.728,"s":[100]},{"t":83.005003380863,"s":[0]}],"ix":5},"r":1,"bm":0,"nm":"Fill 1","mn":"ADBE Vector Graphic - Fill","hd":false}],"ip":31.2187512715658,"op":112.387504577637,"st":34.9650014241536,"bm":0},{"ddd":0,"ind":8,"ty":4,"nm":"P 4","parent":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[-172.242,39.453,0],"ix":2},"a":{"a":0,"k":[-7.165,-20.375,0],"ix":1},"s":{"a":0,"k":[47.6,48.301,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[54.463,28.972],[-45.087,-68.153],[-94.625,-18.875],[-44.5,30.25],[53.875,-69],[104,-18],[58.75,27]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[0.105882352941,0.581257539637,1,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":30,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,-1],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false},{"ty":"tm","s":{"a":1,"k":[{"i":{"x":[0.334],"y":[1]},"o":{"x":[0.467],"y":[0]},"t":478.271,"s":[0]},{"t":497.858770278203,"s":[99.499]}],"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.386],"y":[1]},"o":{"x":[0.465],"y":[0]},"t":467.498,"s":[0]},{"t":492.472520058816,"s":[99.2]}],"ix":2},"o":{"a":0,"k":47.7,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false}],"ip":466.248768990701,"op":466.551496275758,"st":455.010018532937,"bm":0},{"ddd":0,"ind":9,"ty":4,"nm":"P 2","parent":1,"sr":1,"ks":{"o":{"a":0,"k":100,"ix":11},"r":{"a":0,"k":0,"ix":10},"p":{"a":0,"k":[-172.242,39.453,0],"ix":2},"a":{"a":0,"k":[-7.165,-20.375,0],"ix":1},"s":{"a":0,"k":[47.6,48.301,100],"ix":6}},"ao":0,"shapes":[{"ty":"gr","it":[{"ind":0,"ty":"sh","ix":1,"ks":{"a":0,"k":{"i":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"o":[[0,0],[0,0],[0,0],[0,0],[0,0],[0,0],[0,0]],"v":[[54.463,28.972],[-45.087,-68.153],[-94.625,-18.875],[-44.5,30.25],[53.875,-69],[104,-18],[58.75,27]],"c":false},"ix":2},"nm":"Path 1","mn":"ADBE Vector Shape - Group","hd":false},{"ty":"st","c":{"a":0,"k":[1,0.145098039216,0.105882352941,1],"ix":3},"o":{"a":0,"k":100,"ix":4},"w":{"a":0,"k":30,"ix":5},"lc":3,"lj":1,"ml":4,"bm":0,"nm":"Stroke 1","mn":"ADBE Vector Graphic - Stroke","hd":false},{"ty":"tr","p":{"a":0,"k":[0,-1],"ix":2},"a":{"a":0,"k":[0,0],"ix":1},"s":{"a":0,"k":[100,100],"ix":3},"r":{"a":0,"k":0,"ix":6},"o":{"a":0,"k":100,"ix":7},"sk":{"a":0,"k":0,"ix":4},"sa":{"a":0,"k":0,"ix":5},"nm":"Transformer "}],"nm":"Shape 1","np":2,"cix":2,"bm":0,"ix":1,"mn":"ADBE Vector Group","hd":false},{"ty":"tm","s":{"a":1,"k":[{"i":{"x":[0.334],"y":[1]},"o":{"x":[0.467],"y":[0]},"t":13.271,"s":[0]},{"t":32.8587513383643,"s":[99.499]}],"ix":1},"e":{"a":1,"k":[{"i":{"x":[0.386],"y":[1]},"o":{"x":[0.465],"y":[0]},"t":2.498,"s":[0]},{"t":27.4725011189779,"s":[99.2]}],"ix":2},"o":{"a":0,"k":47.7,"ix":3},"m":1,"ix":2,"nm":"Trim Paths 1","mn":"ADBE Vector Filter - Trim","hd":false}],"ip":1.24875005086263,"op":112.387504577637,"st":-9.99000040690104,"bm":0}],"markers":[]}');

/***/ })

};
;